commit:     a051c48631a1c48e4b9009cd5a9791942baca5a3
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jul  9 05:14:09 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jul  9 05:57:43 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a051c486

sys-apps/hwloc: add 2.8.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/hwloc/Manifest           |   1 +
 sys-apps/hwloc/hwloc-2.8.0.ebuild | 110 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 111 insertions(+)

diff --git a/sys-apps/hwloc/Manifest b/sys-apps/hwloc/Manifest
index 075870899733..76f8a6d1754d 100644
--- a/sys-apps/hwloc/Manifest
+++ b/sys-apps/hwloc/Manifest
@@ -2,3 +2,4 @@ DIST hwloc-1.11.13.tar.bz2 4120436 BLAKE2B 
a6a09f7d6abeaa9d23df555cfd2186ae61f0f
 DIST hwloc-2.5.0.tar.bz2 6688349 BLAKE2B 
684367afa5fc056b9bf04b3a95bd8239ec70127d5e582948ca16a09323614ad0ef77278a120544af0a740b456f1ba24bffc861b9f132293fafb7da0597d0b688
 SHA512 
9e8b829868cb9f5fd2fe84d8515d0dc8725ddc84c788a61c1e9e918eb2b29659eb73cf22a4189e6b887f5bfa3255c206f4ba924bd7fe2c88c185f4308c0949cd
 DIST hwloc-2.6.0.tar.bz2 6728585 BLAKE2B 
96099ae3527e11a83adc068e07756752d2effa38b4bae174045e5142a3457af8790e9fd3d778ff2d91708101aaf6e108affed7688918195e0f2bdbd55235ad46
 SHA512 
3f35ee685507469e2c7d4a2ab4c339eff24123b4bc21d96bc53fd2737a36bdd371f1e1e4440b410ecac6cf1881562187243bfbf846203cb3702a4c4c7be0d5df
 DIST hwloc-2.7.1.tar.bz2 6810477 BLAKE2B 
26706b8835954b8baa9028eaf2da0f8ae6e57d1841d68daaa04d58a7b24a67e4e171eb439b8dbfb589a70eb1b5cced51f12a99bb7132591919c902374f89025f
 SHA512 
35de85de3f5e75de30b5ac72d2c118dcb990a2427c9812910a03772857181fd7259a27352b34a968186d02ffc811644c3411d84ee37f2d0ff9b83628951b4863
+DIST hwloc-2.8.0.tar.bz2 6896344 BLAKE2B 
33f75987ee904d5ee9c62268695a2f7f59b0adc2e1601fc4407f525664b78a7fab04c75823ce9d190c8cb9ffc0ce983d7137555625d47bc1451a2d0c6f330055
 SHA512 
025c8ebc2945bdf696cc66fe2cfea0195694713a6098603fb4eaeac409d2f6c3386a7c2b4d7f3758d828f6b621e7f06ffb5745224cb1df2f8ff4f19b2a8a4a7b

diff --git a/sys-apps/hwloc/hwloc-2.8.0.ebuild 
b/sys-apps/hwloc/hwloc-2.8.0.ebuild
new file mode 100644
index 000000000000..88cb06eb1dfc
--- /dev/null
+++ b/sys-apps/hwloc/hwloc-2.8.0.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools bash-completion-r1 cuda flag-o-matic systemd toolchain-funcs 
multilib-minimal
+
+MY_PV="v$(ver_cut 1-2)"
+DESCRIPTION="Displays the hardware topology in convenient formats"
+HOMEPAGE="https://www.open-mpi.org/projects/hwloc/";
+SRC_URI="https://www.open-mpi.org/software/${PN}/${MY_PV}/downloads/${P}.tar.bz2";
+
+LICENSE="BSD"
+SLOT="0/15"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="cairo +cpuid cuda debug nvml +pci static-libs svg udev xml X 
video_cards_nvidia"
+
+# opencl: opencl support dropped with x11-drivers/ati-drivers being removed 
(bug #582406).
+#         anyone with hardware is welcome to step up and help test to get it 
re-added.
+# video-cards_nvidia: libXext/libX11 deps are only here, see HWLOC_GL_REQUIRES 
usage in config/hwloc.m4
+RDEPEND=">=sys-libs/ncurses-5.9-r3:=[${MULTILIB_USEDEP}]
+       cairo? ( >=x11-libs/cairo-1.12.14-r4[X?,svg?,${MULTILIB_USEDEP}] )
+       cuda? ( >=dev-util/nvidia-cuda-toolkit-6.5.19-r1:= )
+       nvml? ( x11-drivers/nvidia-drivers[${MULTILIB_USEDEP}] )
+       pci? (
+               >=sys-apps/pciutils-3.3.0-r2[${MULTILIB_USEDEP}]
+               >=x11-libs/libpciaccess-0.13.1-r1[${MULTILIB_USEDEP}]
+       )
+       udev? ( virtual/libudev:= )
+       xml? ( >=dev-libs/libxml2-2.9.1-r4[${MULTILIB_USEDEP}] )
+       video_cards_nvidia? (
+               x11-drivers/nvidia-drivers[static-libs]
+               x11-libs/libXext
+               x11-libs/libX11
+       )"
+DEPEND="${RDEPEND}"
+# 2.69-r5 for --runstatedir
+BDEPEND=">=sys-devel/autoconf-2.69-r5
+       virtual/pkgconfig"
+
+PATCHES=( "${FILESDIR}/${PN}-1.8.1-gl.patch" )
+
+DOCS=( AUTHORS NEWS README VERSION )
+
+src_prepare() {
+       default
+
+       eautoreconf
+}
+
+multilib_src_configure() {
+       # bug #393467
+       export HWLOC_PKG_CONFIG="$(tc-getPKG_CONFIG)"
+
+       if use video_cards_nvidia ; then
+               addpredict /dev/nvidiactl
+       fi
+
+       if use cuda ; then
+               append-cflags "-I${ESYSROOT}/opt/cuda/include"
+               append-cppflags "-I${ESYSROOT}/opt/cuda/include"
+
+               local -x LDFLAGS="${LDFLAGS}"
+               append-ldflags "-L${ESYSROOT}/opt/cuda/$(get_libdir)"
+       fi
+
+       local myconf=(
+               --disable-opencl
+
+               # netloc is deprecated upstream, about to be removed
+               # bug #796797
+               --disable-netloc
+
+               --disable-plugin-ltdl
+               --enable-plugins
+               --enable-shared
+               --runstatedir="${EPREFIX}/run"
+               $(multilib_native_use_enable cuda)
+               $(multilib_native_use_enable video_cards_nvidia gl)
+               $(use_enable cairo)
+               $(use_enable cpuid)
+               $(use_enable debug)
+               $(use_enable udev libudev)
+               $(use_enable nvml)
+               $(use_enable pci)
+               $(use_enable static-libs static)
+               $(use_enable xml libxml2)
+               $(use_with X x)
+       )
+
+       ECONF_SOURCE="${S}" econf "${myconf[@]}"
+}
+
+multilib_src_install_all() {
+       default
+
+       case ${ARCH} in
+               # hwloc-dump-hwdata binary only built on those arches, so don't 
install non-working unit.
+               amd64|x86)
+                       systemd_dounit 
"${ED}/usr/share/hwloc/hwloc-dump-hwdata.service"
+               ;;
+       esac
+
+       mv "${ED}"/usr/share/bash-completion/completions/hwloc{,-annotate} || 
die
+       bashcomp_alias hwloc-annotate \
+               
hwloc-{diff,ps,compress-dir,gather-cpuid,distrib,info,bind,patch,calc,ls,gather-topology}
+       bashcomp_alias hwloc-annotate lstopo{,-no-graphics}
+
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to